Developers
API ReferenceChat Topic

Retrieves the collection of AssignedChatTopicUser resources

GET
/chat/chat-topics/{id}/assigned-chat-topic-users

Retrieves the collection of AssignedChatTopicUser resources

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

ChatTopic identifier

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30

Response Body

curl -X GET "https://example.com/chat/chat-topics/string/assigned-chat-topic-users"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "chatUser": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string",      "canLogIn": false,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "jobPositionName": "string"    },    "lastReadMessage": "75d29bd6-43f8-4417-8784-e9c4267edf6b",    "lastReadAt": "2019-08-24T14:15:22Z",    "mutedUntil": "2019-08-24T14:15:22Z",    "isMutedIndefinitely": true,    "isTopicOwner": false,    "isUnread": true,    "createdAt": "2019-08-24T14:15:22Z"  }]